Batch upsert employee benefit line items
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "<id>",
"custom_amount": 50
},
{
"pay_stub_id": "<id>",
"employee_benefit_type": "dental",
"custom_amount": 35
}
]
'import requests
url = "https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items/batch/upsert"
payload = [
{
"id": "<id>",
"custom_amount": 50
},
{
"pay_stub_id": "<id>",
"employee_benefit_type": "dental",
"custom_amount": 35
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{id: '<id>', custom_amount: 50},
{pay_stub_id: '<id>', employee_benefit_type: 'dental', custom_amount: 35}
])
};
fetch('https://sandbox.nmbr.co/services/payroll/employee_benefit_line_items/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Batch Operations
Batch upsert employee benefit line items
POST
/
employee_benefit_line_items
/
batch
/
upsert
Batch upsert employee benefit line items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 100 elementsResponse
202
Accepted
⌘I

